# module Chef::Provider::LWRPBase::InlineResources::ClassMethods

Class methods for InlineResources. Overrides the `action` DSL method with one that enables inline resource convergence.

### Public Instance Methods

action(name, &block) click to toggle source

Defines an action method on the provider, using recipe_eval_with_update_check to execute the given block.

    # File lib/chef/provider/lwrp_base.rb, line 43
    def action(name, &block)
      define_method("action_#{name}") do
        recipe_eval_with_update_check(&block)
      end
    end